// This file is part of Snownews - A lightweight console RSS newsreader
//
// Copyright (c) 2003-2004 Oliver Feiler <kiza@kcore.de>
// Copyright (c) 2021 Mike Sharov <msharov@users.sourceforge.net>
//
// Snownews is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 3
// as published by the Free Software Foundation.
//
// Snownews is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Snownews. If not, see http://www.gnu.org/licenses/.

#pragma once

// Define to the one symbol short name of this package
#define SNOWNEWS_NAME		"snownews"
// Define to the version of this package
#define SNOWNEWS_VERSION	"0x19"
// Define to the version string of this package
#define SNOWNEWS_VERSTRING	"v1.9"
// Define to the address where bug reports for this package should be sent
#define SNOWNEWS_BUGREPORT	"Mike Sharov <msharov@users.sourceforge.net>"

// Define to the value of LOCALEPATH environment variable
#define LOCALEPATH		"/usr/share/locale"

// Define to output of uname
#define OS "linux"

// Define on SunOS and Solaris
#undef SUN

// Various switches for enabling definitions
#ifndef _GNU_SOURCE
    #define _GNU_SOURCE 1
#endif
// OS X needs this, otherwise socklen_t is not defined.
#ifdef __APPLE__
    #define _BSD_SOCKLEN_T_
#endif
// BeOS does not define socklen_t. Using uint as suggested by port creator.
#ifdef __BEOS__
    #define socklen_t unsigned int
#endif

// Common header files
#include <sys/types.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include <limits.h>
#include <locale.h>
#include <assert.h>
#include <syslog.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include <sys/stat.h>
#include <stdio.h>
#include <time.h>
#ifdef LOCALEPATH
    #include <libintl.h>
    #define _(String) gettext (String)
#else
    #define _(String) (String)
    #define ngettext(Singular, Plural, n) (Plural)
#endif
